Bug 186170 - xterm update changed charClass definition
Summary: xterm update changed charClass definition
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xterm (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-21 23:37 UTC by Orion Poplawski
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 212-1.FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 19:41:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Orion Poplawski 2006-03-21 23:37:25 UTC
Description of problem:

For some reason, the xterm-208-2.FC4 update uncommented the example charClass
setting in the app-defaults file:

! Here is a pattern that is useful for double-clicking on a URL:
*charClass: 33:48,35:48,37-38:48,43-47:48,58:48,61:48,63-64:48,126:48

It is still commented out in FC5:

! Here is a pattern that is useful for double-clicking on a URL:
!*charClass: 33:48,35:48,37-38:48,43-47:48,58:48,61:48,63-64:48,126:48
!
! Alternatively,
!*on2Clicks: regex
[[:alpha:]]+://([[:alnum:]!#+,./=?@~-]|(%[[:xdigit:]][[:xdigit:]]))+

Apparently this is an upstream change as of 208, but was reverted in 209:
Patch #208 - 2006/1/3 - XFree86 4.5.99.19

    * add charClass resource to XTerm.ad and UXTerm.ad which simplifies
selecting URLs (prompted by Kirill Ponomarew).


Patch #209 - 2006/2/12 - XFree86 4.5.99.22
    * revert the XTerm.ad change from patch #208 (Debian #348384).

Version-Release number of selected component (if applicable):
xterm-208-2.FC4

Perhaps we can get another FC4 release?

Comment 1 Jason Vas Dias 2006-03-22 00:23:40 UTC
The current xterm release in FC-4 is xterm-208-4 (in Updates/Testing, now moved
to Updates/Final).
I expect to be releasing the latest version, xterm-211, FC-4 to Updates/Testing
soon, in which this issue is also fixed (the offending line in the XTerm 
Xresources file is again commented out).



Comment 2 Jason Vas Dias 2006-04-14 01:58:59 UTC
Now fixed with xterm-212-1.FC4, released to Updates/Testing today.

Comment 3 Orion Poplawski 2006-04-24 19:41:28 UTC
Confirmed fixed.

Comment 4 Fedora Update System 2006-05-03 18:51:12 UTC
xterm-212-1.FC4 has been pushed for fc4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.